Skip to main content
GET
/
api
/
v1
/
features
List features
curl --request GET \
  --url https://api.example.com/api/v1/features \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "created_at": "2023-11-07T05:31:56Z",
      "feature_type": {},
      "id": "<string>",
      "name": "<string>",
      "description": "<string>",
      "entitlement": {
        "created_at": "2023-11-07T05:31:56Z",
        "feature_id": "<string>",
        "id": "<string>",
        "updated_at": "2023-11-07T05:31:56Z",
        "value": {
          "enabled": true
        }
      },
      "product": {
        "id": "<string>",
        "name": "<string>"
      }
    }
  ],
  "pagination_meta": {
    "page": 1,
    "per_page": 1,
    "total_items": 1,
    "total_pages": 1
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.meteroid.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

statuses
enum<string>[]

Filter by feature status. Repeat the param to select multiple, omit to return all.

Lifecycle status of a feature.

Available options:
ACTIVE,
DISABLED,
ARCHIVED
product_id
string<MeteroidId>

Filter by product. Omit to return features across all products.

Example:

"prd_7n42DGM5Tflk9n8mt7Fhc7"

Search by feature name.

page
integer<int32>

Page number (0-indexed)

Required range: x >= 0
per_page
integer<int32>

Number of items per page

Required range: 1 <= x <= 100

Response

List of features

data
object[]
required
pagination_meta
object
required